Package it.ernytech.tdlib

## Class TdApi.SearchCallMessages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchCallMessages

Enclosing class:
  TdApi

    public static class TdApi.SearchCallMessages
    extends TdApi.Function

Searches for call messages. Returns the results in reverse chronological order (i. e., in order of decreasing messageId). For optimal performance the number of returned messages is chosen by the library.

Returns `Messages`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `fromMessageId` Identifier of the message from which to search; use 0 to get results from the beginning.
`int` `limit` The maximum number of messages to be returned; up to 100.
`boolean` `onlyMissed` If true, returns only messages with missed calls.

### Constructor Summary

Constructors
`SearchCallMessages()` Default constructor.
`SearchCallMessages​(long fromMessageId, int limit, boolean onlyMissed)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### fromMessageId

    public long fromMessageId

Identifier of the message from which to search; use 0 to get results from the beginning.

#### limit

    public int limit

The maximum number of messages to be returned; up to 100. Fewer messages may be returned than specified by the limit, even if the end of the message history has not been reached.

#### onlyMissed

    public boolean onlyMissed

If true, returns only messages with missed calls.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchCallMessages

    public SearchCallMessages()

Default constructor.

#### SearchCallMessages

    public SearchCallMessages​(long fromMessageId,
                              int limit,
                              boolean onlyMissed)

Constructor for initialization of all fields.

Parameters:
  `fromMessageId` - Identifier of the message from which to search; use 0 to get results from the beginning.
  `limit` - The maximum number of messages to be returned; up to 100. Fewer messages may be returned than specified by the limit, even if the end of the message history has not been reached.
  `onlyMissed` - If true, returns only messages with missed calls.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR